libstdc++: __gnu_cxx::throw_allocator_random< _Tp > Struct Template Reference

libstdc++

__gnu_cxx::throw_allocator_random< _Tp > Struct Template Reference

`#include <throw_allocator.h>`

Inheritance diagram for __gnu_cxx::throw_allocator_random< _Tp >:
[legend]

## Public Types
typedef const value_type * | const_pointer
typedef const value_type & | const_reference
typedef std::ptrdiff_t | difference_type
typedef value_type * | pointer
typedef std::true_type | propagate_on_container_move_assignment
typedef value_type & | reference
typedef std::size_t | size_type
typedef _Tp | value_type

## Public Member Functions
| throw_allocator_random (const throw_allocator_random &) noexcept
template<typename _Tp1>
| throw_allocator_random (const throw_allocator_random< _Tp1 > &) noexcept
pointer | address (reference __x) const noexcept
pointer | allocate (size_type __n, const void *__hint=0)
void | check (size_type __n)
void | check_allocated (pointer __p, size_type __n)
map_alloc_type::iterator | check_allocated (void *p, size_t size)
void | check_constructed (size_t label)
map_construct_type::iterator | check_constructed (void *p)
void | construct (_Up *__p, _Args &&... __args)
void | deallocate (pointer __p, size_type __n)
void | destroy (_Up *__p)
void | erase (void *p, size_t size)
void | erase_construct (void *p)
void | insert (void *p, size_t size)
void | insert_construct (void *p)
size_type | max_size () const noexcept
throw_allocator_random & | operator= (const throw_allocator_random &)=default
void | seed (unsigned long __s)

## Static Public Member Functions
static void | check ()
static size_t | get_label ()
static void | set_label (size_t l)
static void | set_probability (double __p)
static void | throw_conditionally ()

## Detailed Description

template<typename _Tp>
struct __gnu_cxx::throw_allocator_random< _Tp >

Allocator throwing via random condition.

Definition at line 949 of file throw_allocator.h.

## Member Typedef Documentation

## ◆ const_pointer

typedef const value_type* __gnu_cxx::throw_allocator_base< _Tp, random_condition >::const_pointer
| inherited

Definition at line 818 of file throw_allocator.h.

## ◆ const_reference

typedef const value_type& __gnu_cxx::throw_allocator_base< _Tp, random_condition >::const_reference
| inherited

Definition at line 820 of file throw_allocator.h.

## ◆ difference_type

typedef std::ptrdiff_t __gnu_cxx::throw_allocator_base< _Tp, random_condition >::difference_type
| inherited

Definition at line 815 of file throw_allocator.h.

## ◆ pointer

typedef value_type* __gnu_cxx::throw_allocator_base< _Tp, random_condition >::pointer
| inherited

Definition at line 817 of file throw_allocator.h.

## ◆ propagate_on_container_move_assignment

typedef std::true_type __gnu_cxx::throw_allocator_base< _Tp, random_condition >::propagate_on_container_move_assignment
| inherited

Definition at line 825 of file throw_allocator.h.

## ◆ reference

typedef value_type& __gnu_cxx::throw_allocator_base< _Tp, random_condition >::reference
| inherited

Definition at line 819 of file throw_allocator.h.

## ◆ size_type

typedef std::size_t __gnu_cxx::throw_allocator_base< _Tp, random_condition >::size_type
| inherited

Definition at line 814 of file throw_allocator.h.

## ◆ value_type

typedef _Tp __gnu_cxx::throw_allocator_base< _Tp, random_condition >::value_type
| inherited

Definition at line 816 of file throw_allocator.h.

## Constructor & Destructor Documentation

## ◆ throw_allocator_random() [1/3]

template<typename _Tp>

__gnu_cxx::throw_allocator_random< _Tp >::throw_allocator_random | ( |  | ) |
| inlinenoexcept

Definition at line 956 of file throw_allocator.h.

## ◆ throw_allocator_random() [2/3]

template<typename _Tp>

__gnu_cxx::throw_allocator_random< _Tp >::throw_allocator_random | ( | const throw_allocator_random< _Tp > & |  | ) |
| inlinenoexcept

Definition at line 958 of file throw_allocator.h.

## ◆ throw_allocator_random() [3/3]

template<typename _Tp>
template<typename _Tp1>

__gnu_cxx::throw_allocator_random< _Tp >::throw_allocator_random | ( | const throw_allocator_random< _Tp1 > & |  | ) |
| inlinenoexcept

Definition at line 962 of file throw_allocator.h.

## ◆ ~throw_allocator_random()

template<typename _Tp>

__gnu_cxx::throw_allocator_random< _Tp >::~throw_allocator_random | ( |  | ) |
| inlinenoexcept

Definition at line 965 of file throw_allocator.h.

## Member Function Documentation

## ◆ address()

pointer __gnu_cxx::throw_allocator_base< _Tp, random_condition >::address | ( | reference | __x | ) | const
| inlinenoexceptinherited

Definition at line 843 of file throw_allocator.h.

## ◆ allocate()

pointer __gnu_cxx::throw_allocator_base< _Tp, random_condition >::allocate | ( | size_type | __n,
|  | const void * | __hint = 0 )
| inlinenodiscardinherited

Definition at line 851 of file throw_allocator.h.

## ◆ check() [1/2]

void __gnu_cxx::annotate_base::check | ( |  | ) |
| inlinestaticinherited

Definition at line 238 of file throw_allocator.h.

## ◆ check() [2/2]

void __gnu_cxx::throw_allocator_base< _Tp, random_condition >::check | ( | size_type | __n | ) |
| inlineinherited

Definition at line 903 of file throw_allocator.h.

## ◆ check_allocated() [1/2]

void __gnu_cxx::throw_allocator_base< _Tp, random_condition >::check_allocated | ( | pointer | __p,
|  | size_type | __n )
| inlineinherited

Definition at line 896 of file throw_allocator.h.

## ◆ check_allocated() [2/2]

map_alloc_type::iterator __gnu_cxx::annotate_base::check_allocated | ( | void * | p,
|  | size_t | size )
| inlineinherited

Definition at line 176 of file throw_allocator.h.

## ◆ check_constructed() [1/2]

void __gnu_cxx::annotate_base::check_constructed | ( | size_t | label | ) |
| inlineinherited

Definition at line 288 of file throw_allocator.h.

## ◆ check_constructed() [2/2]

map_construct_type::iterator __gnu_cxx::annotate_base::check_constructed | ( | void * | p | ) |
| inlineinherited

Definition at line 273 of file throw_allocator.h.

## ◆ construct()

void __gnu_cxx::throw_allocator_base< _Tp, random_condition >::construct | ( | _Up * | __p,
|  | _Args &&... | __args )
| inlineinherited

Definition at line 865 of file throw_allocator.h.

## ◆ deallocate()

void __gnu_cxx::throw_allocator_base< _Tp, random_condition >::deallocate | ( | pointer | __p,
|  | size_type | __n )
| inlineinherited

Definition at line 889 of file throw_allocator.h.

## ◆ destroy()

void __gnu_cxx::throw_allocator_base< _Tp, random_condition >::destroy | ( | _Up * | __p | ) |
| inlineinherited

Definition at line 873 of file throw_allocator.h.

## ◆ erase()

void __gnu_cxx::annotate_base::erase | ( | void * | p,
|  | size_t | size )
| inlineinherited

Definition at line 146 of file throw_allocator.h.

## ◆ erase_construct()

void __gnu_cxx::annotate_base::erase_construct | ( | void * | p | ) |
| inlineinherited

Definition at line 170 of file throw_allocator.h.

## ◆ get_label()

size_t __gnu_cxx::annotate_base::get_label | ( |  | ) |
| inlinestaticinherited

Definition at line 120 of file throw_allocator.h.

## ◆ insert()

void __gnu_cxx::annotate_base::insert | ( | void * | p,
|  | size_t | size )
| inlineinherited

Definition at line 124 of file throw_allocator.h.

## ◆ insert_construct()

void __gnu_cxx::annotate_base::insert_construct | ( | void * | p | ) |
| inlineinherited

Definition at line 151 of file throw_allocator.h.

## ◆ max_size()

size_type __gnu_cxx::throw_allocator_base< _Tp, random_condition >::max_size | ( |  | ) | const
| inlinenoexceptinherited

Definition at line 839 of file throw_allocator.h.

## ◆ seed()

void __gnu_cxx::random_condition::seed | ( | unsigned long | __s | ) |
| inlineinherited

Definition at line 558 of file throw_allocator.h.

## ◆ set_label()

void __gnu_cxx::annotate_base::set_label | ( | size_t | l | ) |
| inlinestaticinherited

Definition at line 116 of file throw_allocator.h.

## ◆ set_probability()

void __gnu_cxx::random_condition::set_probability | ( | double | __p | ) |
| inlinestaticinherited

Definition at line 547 of file throw_allocator.h.

## ◆ throw_conditionally()

void __gnu_cxx::random_condition::throw_conditionally | ( |  | ) |
| inlinestaticinherited

Definition at line 551 of file throw_allocator.h.

The documentation for this struct was generated from the following file:

- throw_allocator.h